G-SHELL.RECT(1)

NAME
g-shell.rect - Produce triangulated shell from BRL-CAD model

SYNOPSIS
g-shell.rect [-d debug_level] [-n] [-g cell_size] [-i initial_ray_dir] [-d debug_level] -o brlcad_output_file database.g object(s)

DESCRIPTION
g-shell.rect converts the specified objects(s) from a BRL-CAD model database.g to a single NMG solid using raytracing. Rays are fired in a uniform grid. The direction for the first set of rays is chosen by calculating the presented area of the bounding box of the object(s) and selecting the direction with the largest area. The user may override this by specifying a desired initial ray direction using the -i option (see below). The initial shell is constructed using only the first and last intersections with the object(s). This will typically result in some rather large faces with normals at right angles to the ray direction. Unless the -n option is spcified, these faces are then subdivided (according to the cell_size ) and additional rays fired from the other two directions are used to refine their shape. The resulting NMG solid will be named shell and will be written to the specified brlcad_output_file.

The following command line options are recognized:

-g cell_size
    Specify the dimensions (in millimeters) of the grid spacing. The default is 50mm.

-i initial_ray_dir
    Specify the initial ray direction. Valid values are X, Y, or Z. The best results are usually obtained by raytracing in the direction that produces the most hits first.

-d debug_level
    Set the debugging level. Higher values produce more debugging information.

-n  Supresses the refinement stage (firing rays from the secondary and tertiary axis directions).

-o output.g
    Specifies the name of the BRL-CAD geometry file to create.

EXAMPLE
    $ g-shell.rect -o shell.g sample.g sample_object

DIAGNOSTICS
Error messages are intended to be self-explanatory.

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.